Subject: (ngtrans) RE: v6[v4] address in ngtrans-bgp-tunnel

From: [email-masked]
Date: Thu, 23 Aug 2001 10:12:45 +0100

-----Original Message-----
> From: Erik Nordmark [mailto:[email-masked]]
> Sent: 23 August 2001 09:32
> To: [email-masked]
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked];
> [email-masked]; [email-masked]; 
> [email-masked];
> [email-masked]
> Subject: RE: v6[v4] address in ngtrans-bgp-tunnel
> 
> 
> > Francois,
> > 
> > We have two issues here, from my practical point of view 
> bgp-tunnel works
> > today using auto-tunnel mode.  Auto tunnel mode uses 
> IPv4-compatible IPv6
> > addresses.  If change the draft to use IPv4-mapped IPv6 
> addresses then
> > auto-tunnel mode breaks in current implementations.  I know 
> this as we just
> > tried it on the network.  I agree in theory that it would work, if
> > implementations are changed.
> 
> I'm a bit confused.
> 
> I thought the issue was just how to communicate a BGP next hop
> which is an IPv4 address, and that the BGP speaker would know how to
> process this (create a configured tunnel corresponding for anything
> using that nexthop).
>
> You seem to say that the BGP speaker would use the automatic tunneling
> feature described in RFC 2893 without any modifications to the router.
> Is my understanding correct?
>
Yes, because the next hop address is a v4-compatible v6 address you can
bgp-tunnel today.  When you configure the BGP peer address I've configure
::w.x.y.z  So when packets are sent to this address it uses the automatic
tunnel which I also have configured.

Would it help anyone if I send the configuration of how it works now?
 
> I don't think the latter works. For instance, RFC 2893 says 
> that packets
> received over an automatic tunnel must not be forwarded futher.
> 
Correct, but by using bgp-tunnel packets are sent from router to router.

Stuart
>   Erik